com.digi.xbee.api.io

## Enum IOLine

- java.lang.Object
- - java.lang.Enum<IOLine>
  - - com.digi.xbee.api.io.IOLine

- All Implemented Interfaces:
    Serializable, Comparable<IOLine>

      public enum IOLine
      extends Enum<IOLine>

  Enumerates the different IO lines that can be found in the XBee devices.

  Depending on the hardware and firmware of the device, the number of lines that can be used as well as their functionality may vary. Refer to the product manual to learn more about the IO lines of your XBee device.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DIO0_AD0`
    `DIO1_AD1`
    `DIO10_PWM0`
    `DIO11_PWM1`
    `DIO12`
    `DIO13`
    `DIO14`
    `DIO15`
    `DIO16`
    `DIO17`
    `DIO18`
    `DIO19`
    `DIO2_AD2`
    `DIO3_AD3`
    `DIO4_AD4`
    `DIO5_AD5`
    `DIO6`
    `DIO7`
    `DIO8`
    `DIO9`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getConfigurationATCommand()` Returns the configuration AT command associated to the IO line.
    `static IOLine` | `getDIO(int index)` Returns the `IOLine` associated to the given index.
    `int` | `getIndex()` Returns the index of the IO line.
    `String` | `getName()` Returns the name of the IO line.
    `String` | `getPWMDutyCycleATCommand()` Returns the PWM AT command associated to the IO line.
    `boolean` | `hasPWMCapability()` Returns whether or not the IO line has PWM capability.
    `String` | `toString()`
    `static IOLine` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IOLine[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DIO0_AD0

          public static final IOLine DIO0_AD0

    - #### DIO1_AD1

          public static final IOLine DIO1_AD1

    - #### DIO10_PWM0

          public static final IOLine DIO10_PWM0

    - #### DIO11_PWM1

          public static final IOLine DIO11_PWM1

    - #### DIO12

          public static final IOLine DIO12

    - #### DIO13

          public static final IOLine DIO13

    - #### DIO14

          public static final IOLine DIO14

    - #### DIO15

          public static final IOLine DIO15

    - #### DIO16

          public static final IOLine DIO16

    - #### DIO17

          public static final IOLine DIO17

    - #### DIO18

          public static final IOLine DIO18

    - #### DIO19

          public static final IOLine DIO19

    - #### DIO2_AD2

          public static final IOLine DIO2_AD2

    - #### DIO3_AD3

          public static final IOLine DIO3_AD3

    - #### DIO4_AD4

          public static final IOLine DIO4_AD4

    - #### DIO5_AD5

          public static final IOLine DIO5_AD5

    - #### DIO6

          public static final IOLine DIO6

    - #### DIO7

          public static final IOLine DIO7

    - #### DIO8

          public static final IOLine DIO8

    - #### DIO9

          public static final IOLine DIO9

  - ### Method Detail

    - #### getConfigurationATCommand

          public String getConfigurationATCommand()

      Returns the configuration AT command associated to the IO line.
      Returns:
        The configuration AT command associated to the IO line.

    - #### getDIO

          public static IOLine getDIO(int index)

      Returns the `IOLine` associated to the given index.
      Parameters:
        `index` - The index corresponding to the `IOLine` to retrieve.
      Returns:
        The `IOLine` associated to the given index.

    - #### getIndex

          public int getIndex()

      Returns the index of the IO line.
      Returns:
        The index of the IO line.

    - #### getName

          public String getName()

      Returns the name of the IO line.
      Returns:
        The name of the IO line.

    - #### getPWMDutyCycleATCommand

          public String getPWMDutyCycleATCommand()

      Returns the PWM AT command associated to the IO line.
      Returns:
        The PWM AT command associated to the IO line.

    - #### hasPWMCapability

          public boolean hasPWMCapability()

      Returns whether or not the IO line has PWM capability.
      Returns:
        `true` if the provided IO line has PWM, `false` otherwise.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<IOLine>`

    - #### valueOf

          public static IOLine valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static IOLine[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IOLine c : IOLine.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

© Copyright 2014–2014 Digi International Inc. All rights reserved.